Bug 180279 - kernel-2.6.15-1.1830_FC4 panics during boot
kernel-2.6.15-1.1830_FC4 panics during boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 16:20 EST by Markus Lindholm
Modified: 2008-01-19 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from 2.6.14 kernel (19.39 KB, text/plain)
2006-02-06 16:20 EST, Markus Lindholm
no flags Details

  None (edit)
Description Markus Lindholm 2006-02-06 16:20:55 EST
Created attachment 124279 [details]
dmesg from 2.6.14 kernel
Comment 1 Markus Lindholm 2006-02-06 16:20:55 EST
Description of problem:
Kernel panics during boot

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830_FC4 

How reproducible:
Every time

Steps to Reproduce:
1. Boot the latest kernel
2. Wait for it to crash
3.
  
Actual results:
Copied from the screen (can contain errors)

Set umask to 0077
Using volume group(s) on command line
Finding volume group "VolGroup00"
Found volume group "VolGroup00"
Not activating VolGroup00/LogVol00 due to config file settings
Found volume group "VolGroup00"
Not activating VolGroup00/LogVol01 due to config file settings
0 logical volume(s) in volume group "VolGroup00" now active
Wiping internal VG cache
mount: error 6 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!

Call trace: <four lines hex codes>

Expected results:
Normal boot process

Additional info:
Back to 2.6.14 and it boots fine again. I have a Asus A8N-E motherboard with
Athlon 64 CPU. The root partition is on a SATA device.
Comment 2 Gregoire Barbier 2006-02-13 08:07:14 EST
Same for me.
I've got the same problem on my FC4.x86_64 with any kernel > 2.6.12 (I currently
use kernel-2.6.12-1.1387_FC4 to avoid the issue).

My motherboard is an asus k8n4-e deluxe, my cpu athlon64, my root device is on
the nvidia sata controler (nforce4, driver sata_nv), but the same problem occurs
with the other sata controler (silicon image 3114, driver sata_sil).

I tried some "cooked" initrd images and found out that no sata devices where
found (none appeared in /proc/partitions) however the insmod of the two drivers
are performed. Kernel bug? Sata bug?
Comment 3 Dave Jones 2006-09-16 22:12:58 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Dave Jones 2006-10-16 17:14:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Gregoire Barbier 2007-01-04 08:40:31 EST
This bug is fixed for me since I upgraded to FC6.
Comment 6 Jon Stanley 2008-01-19 23:39:32 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.